# Enum JarScanType

java.lang.Object
java.lang.Enum<JarScanType>
org.apache.tomcat.JarScanType

All Implemented Interfaces:
  `Serializable, Comparable<JarScanType>, java.lang.constant.Constable`

public enum JarScanType extends Enum<JarScanType>
Defines the types of JAR scans that can be performed.

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`OTHER`
Other types of scans.
`PLUGGABILITY`
Scan for pluggability annotations.
`TLD`
Scan for TLD files.

## Method Summary

Modifier and Type
Method
Description
`static JarScanType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static JarScanType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TLD

public static final JarScanType TLD
Scan for TLD files.

### PLUGGABILITY

public static final JarScanType PLUGGABILITY
Scan for pluggability annotations.

### OTHER

public static final JarScanType OTHER
Other types of scans.

## Method Details

### values

public static JarScanType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static JarScanType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null